Name:		megaglest
Version:	3.6.0
Release:	%mkrel 0.1
Summary:	Open Source 3d real time strategy game
License:	GPLv3+
Group:		Games/Strategy
Url:		http://megaglest.org/
Source0:	http://sourceforge.net/projects/megaglest/files/megaglest_3.6.0/megaglest-source-3.6.0.1.tar.xz
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot

BuildRequires:	cmake
BuildRequires:	curl-devel
BuildRequires:	GL-devel
BuildRequires:	ftgl-devel
BuildRequires:	glew-devel
BuildRequires:	gnutls-devel
BuildRequires:	icu-devel
BuildRequires:	jpeg-devel
BuildRequires:	lua-devel
BuildRequires:	oggvorbis-devel
BuildRequires:	openal-devel
BuildRequires:	png-devel
BuildRequires:	SDL-devel
BuildRequires:  SDL_mixer-devel
BuildRequires:	SDL_net-devel
BuildRequires:	subversion
BuildRequires:	xerces-c28-devel
BuildRequires:	wxgtku-devel
BuildRequires:	zlib-devel
Requires:	glxinfo
Requires:	megaglest-data
Requires:	p7zip

Patch0:		megaglest-3.6.0.1-noerror.patch

%description
MegaGlest is an open source 3D-real-time strategy game, where you control
the armies of one of seven different factions: Tech, Magic, Egyptians,
Indians, Norsemen, Persian or Romans. The game is setup in one of 16
naturally looking settings, which -like the unit models- are crafted with
great appreciation for detail. Additional game data can be downloaded from
within the game at no cost.

#-----------------------------------------------------------------------
%prep
%setup -q

%patch0 -p1

#-----------------------------------------------------------------------
%build
%cmake									\
	-DCMAKE_INSTALL_PREFIX=/					\
	-DMEGAGLEST_BIN_INSTALL_PATH=%{_gamesbindir}			\
	-DMEGAGLEST_ICON_INSTALL_PATH=%{_iconsdir}			\
	-DMEGAGLEST_DATA_INSTALL_PATH=%{_gamesdatadir}/megaglest
%make

#-----------------------------------------------------------------------
%install
%makeinstall_std -C build
mv %{buildroot}/share/* %{buildroot}%{_datadir}
rmdir %{buildroot}/share

#-----------------------------------------------------------------------
%files
%defattr(644,root,root,755)
%attr(755,root,root) %{_gamesbindir}/*
%{_datadir}/applications/%{name}.desktop
%{_iconsdir}/*
%{_mandir}/man6/%{name}.6*


%changelog
* Sun Dec 18 2011 Paulo Andrade <pcpa@mandriva.com.br> 3.6.0-0.1
+ Revision: 743600
- Update to latest upstream release.

  + Zombie Ryushu <ryushu@mandriva.org>
    - Fix release tag for 2010.2 backport

* Thu Sep 08 2011 Paulo Andrade <pcpa@mandriva.com.br> 3.5.2.4-2
+ Revision: 698952
- Correct typo in requires and rebuild.

* Thu Sep 08 2011 Paulo Andrade <pcpa@mandriva.com.br> 3.5.2.4-1
+ Revision: 698914
- Update to latest upstream release

  + Zombie Ryushu <ryushu@mandriva.org>
    - Attempt upgrade to 3.4.0
    - fix typos
    - imported package megaglest


* Tue Jul 06 2010 maik3531 <maik3531 at yahoo.de> 3.3.5-1pclos2010
- change to megaglest

* Tue Jul 06 2010 maik3531 <maik3531 at yahoo.de> 3.2.2-1pclos2010
- brought from the mdv
- add german description

